<?php

/*
 * RekmixaCMS - The Newest Multifunctional Content Management System
 * Author - rekmixa
 * E-mail - rekmixa@gmail.com
 * Site - http://wordads.ru
 */

require(__DIR__."/checker.php");

// Проверяем install
if (file_exists($_SERVER["DOCUMENT_ROOT"]."/install"))
    exit(header('Location: /install'));
// Сессия
session_name('SID') . session_start();
// Защита от CSRF-атак
require_once(__DIR__."/CSRF-secure.php");
// Функции, счетчики и т. д.
require_once(__DIR__."/function.php");
// Заголовок
$title = isset($title) ? $sys['system']['project'] . ' | ' . $title : $sys['system']['project'];
?>
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<?=($sys['system']['keywords'] ? '<meta name="keywords" content="'.$sys['system']['keywords'].'"/>' : '').
   ($sys['system']['description'] ? '<meta name="description" content="'.$sys['system']['description'].'"/>' : '');?>
<title><?=$title;?></title>
<link rel="shortcut icon" href="/favicon.ico"/>
<link rel="stylesheet" href="/style/bootstrap/css/bootstrap.min.css" type="text/css"/>
<link rel="stylesheet" href="/style/default.css" type="text/css"/> 
<script type="text/javascript" src="/js/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="/js/jquery.insert-at-caret.min.js"></script>
<script type="text/javascript" src="/style/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/js/function.js"></script>
</head>
<body>
<?
$id = isset($_GET['id']) ? intval($_GET['id']) : false;
$act = $_GET['act'] ?? false;
$search = $_GET['search'] ?? NULL;
// Верхняя панель
echo '<div class="nav-pos">
<div class="logo"><a href="/"><img src="/img/' . $sys['system']['logo'] . '" alt="logo" class="img-responsive"></a></div>';
if (isset($active)) {

    echo '<div class="nav-header">';

    // Админка
    if (($adm_id == 1 || $adm_id == 5 || $adm_id == 6))
        echo '<div class="forlink-logo"><a href="/adm" class="adm"><img src="/img/adm.png" alt="adm">Панель управления<div class="chi">'.$new_adm.'</div></a></div>';

    echo '<div class="nav-link">
    <a href="#" drop-menu="notifications"><img src="/img/nav-notif.png" alt="nav">'.($c_new_not < 100 ? $new_not : '99+').'</a>
    <a href="/friends"><img src="/img/nav-friend.png" alt="nav">'.($count_req < 100 ? $new_req : '99+').'</a>
    <a href="/mail"><img src="/img/nav-mail.png" alt="nav">'.($c_new_mail < 100 ? $new_mail : '99+').'</a>
    <a href="/chat"><img src="/img/nav-chat.png" alt="nav">'.($c_new_chat < 100 ? $new_chat : '99+').'</a>
    <a href="#" drop-menu="exit"><img src="/img/nav-exit.png" alt="nav"></a>
    </div>
    <div id="notifications" class="drop-menu drop-left"></div>
    <div id="exit" class="drop-menu drop-right">';

    if ($sys['modules']['work'] == 1) {

        if ($user['ban'] < time() || $adm_id == 1) {

            if (isset($_POST['exit'])) {

                $reset_auth = $connect->prepare("update `authlog` set `status` = '0' where `uid` = ? and `id` = ?");

                $reset_auth->execute(array($user['id'], $_COOKIE['auth']));

                setcookie('user_id', null, time() - 3600, '/');
                setcookie('pass', null, time() - 3600, '/');
                setcookie('auth', null, time() - 3600, '/');

                header('Location: /');

            }

            echo '<form action="" method="POST">
            Вы действительно хотите выйти с аккаунта?<br/>
            <input type="submit" name="exit" value="Да, выйти">
            </form>';

        } else
            echo '<div class="forbidden">Ваш аккаунт заблокирован!</div>';

    } else
        echo '<div class="danger">Вы не можете выйти пока работа сайта отключена!</div>';

    echo '</div>';

}
echo '</div>';
// Работа сайта
if ($sys['modules']['work'] == 0 && $adm_id != 1 && $adm_id != 4)
    exit('<div class="foot-menu"><div class="information">На сайте ведутся технические работы.</div></div>');
// бан
if (isset($active) && $user['ban'] > time() && $adm_id != 1)
    exit('<div class="foot-menu"><div class="forbidden">Ваш аккаунт заблокирован до '.date('d.m.Y H:i', $user['ban']).'!</div></div>');
// Предупреждение, если отключен JavaScript
echo '<noscript><div class="foot-menu"><div class="danger">Для корректной работы сайта включите JavaScript!</div></div></noscript>';
// Активация аккаунта
include(__DIR__."/active.php");
// Меню сайта
echo '<div class="content">
<div class="hidden-xs">
<div class="left-block">';
    include(__DIR__."/menu.php");
    include(__DIR__."/advert.php");
echo '</div>
<div class="right-block">';
    include(__DIR__."/feed-block.php");
echo '</div></div>
<div class="center-block">';